<mat-toolbar color="primary">
  <span>Lista Empleados</span>
  <span class="example-spacer"></span>
  <button mat-raised-button (click)="abrirAgregarEmpleadoForm()">Agregar Empleado<mat-icon color="accent">add_box</mat-icon></button>
 </mat-toolbar>
 <div class="main-body">
  
  <mat-form-field>
    <mat-label>Filtrar por texto</mat-label>
    <input matInput (keyup)="applyFilter($event)" placeholder="Ex. Nombre, Apellido, Correo, etc" #input>
  </mat-form-field>
  
  <div class="mat-elevation-z8">
    <table mat-table [dataSource]="dataSource" matSort>
  
      
      <ng-container matColumnDef="id">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> ID </th>
        <td mat-cell *matCellDef="let row"> {{row.id}} </td>
      </ng-container>
  
      <ng-container matColumnDef="nombres">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Nombres </th>
        <td mat-cell *matCellDef="let row"> {{row.nombres}}</td>
      </ng-container>
  
      <ng-container matColumnDef="apellidos">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Apellido </th>
        <td mat-cell *matCellDef="let row"> {{row.apellidos}} </td>
      </ng-container>
  
      <ng-container matColumnDef="correo">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Correo </th>
        <td mat-cell *matCellDef="let row"> {{row.correo}} </td>
      </ng-container>
  
      <ng-container matColumnDef="año_nacimiento">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Año de Nacimiento </th>
        <td mat-cell *matCellDef="let row"> {{row.anio_nacimiento | date}} </td>
      </ng-container>
  
      <ng-container matColumnDef="genero">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Genero </th>
        <td mat-cell *matCellDef="let row"> {{row.genero}} </td>
      </ng-container>
  
      <ng-container matColumnDef="educacion">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Educacion </th>
        <td mat-cell *matCellDef="let row"> {{row.educacion}} </td>
      </ng-container>
      <ng-container matColumnDef="empresa">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Empresa </th>
        <td mat-cell *matCellDef="let row"> {{row.empresa}} </td>
      </ng-container>
      <ng-container matColumnDef="experiencia">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Experiencia </th>
        <td mat-cell *matCellDef="let row"> {{row.experiencia}} años </td>
      </ng-container>
      <ng-container matColumnDef="expectativa_salarial">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Expectativa Salarial </th>
        <td mat-cell *matCellDef="let row"> {{row.expectativa_salarial | currency: 'USD'}} </td>
      </ng-container>
      <ng-container matColumnDef="accion">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Acciones </th>
        <td mat-cell *matCellDef="let row">
          <button mat-icon-button color="primary" matTooltip="Editar Empleado"(click)="abrirEditarForm(row)">
            <mat-icon>edit</mat-icon>
          </button>
          <button mat-icon-button color="warn" matTooltip="Eliminar Empleado"(click)="eliminarEmpleado(row.id)">
            <mat-icon>delete</mat-icon>
          </button>
        </td>
      </ng-container>
  
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  
      <tr class="mat-row" *matNoDataRow>
        <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
      </tr>
    </table>
  
    <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" aria-label="Select page of users"></mat-paginator>
  </div>
 </div>


